using RobotLib;

namespace RobotConsoleClient
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Robot.Instance.Connect("eee...", 1818);
            Robot.Instance.Buzzer.Beep(300, 500);
            Robot.Instance.Battery.BatteryChanged += Battery_BatteryChanged;
            Console.ReadLine();
        }

        private static void Battery_BatteryChanged(object? sender, BatteryEventArgs e)
        {
            Console.WriteLine($"Received Battery Changed event. New Battery voltage = {e.Voltage} V");
        }
    }
}